Bug 642286 (CVE-2010-3183) - CVE-2010-3183 Mozilla dangling pointer vulnerability in LookupGetterOrSetter
Summary: CVE-2010-3183 Mozilla dangling pointer vulnerability in LookupGetterOrSetter
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3183
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-12 14:23 UTC by Josh Bressers
Modified: 2019-09-29 12:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-12 18:18:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0782 normal SHIPPED_LIVE Critical: firefox security update 2010-10-19 23:20:46 UTC
Red Hat Product Errata RHSA-2010:0861 normal SHIPPED_LIVE Critical: firefox security update 2010-11-09 19:05:41 UTC
Red Hat Product Errata RHSA-2010:0896 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-11-17 15:19:33 UTC

Description Josh Bressers 2010-10-12 14:23:08 UTC
Security researcher regenrecht reported via TippingPoint's Zero Day
Initiative that when window.__lookupGetter__ is called with no arguments
the code assumes the top JavaScript stack value is a property name. Since
there were no arguments passed into the function, the top value could
represent uninitialized memory or a pointer to a previously freed
JavaScript object. Under such circumstances the value is passed to another
subroutine which calls through the dangling pointer, potentially executing
attacker-controlled memory.

Comment 1 Josh Bressers 2010-10-19 22:00:40 UTC
This is now public:
http://www.mozilla.org/security/announce/2010/mfsa2010-67.html

Comment 2 errata-xmlrpc 2010-10-19 23:21:10 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0782 https://rhn.redhat.com/errata/RHSA-2010-0782.html

Comment 3 errata-xmlrpc 2010-11-10 18:58:49 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0861 https://rhn.redhat.com/errata/RHSA-2010-0861.html

Comment 4 errata-xmlrpc 2010-11-17 15:19:55 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0896 https://rhn.redhat.com/errata/RHSA-2010-0896.html


Note You need to log in before you can comment on or make changes to this bug.